%define	upstream_name	XML-LibXML
%define	upstream_version 1.98

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Perl Binding for libxml2
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl(XML::NamespaceSupport)
BuildRequires:	perl(XML::SAX)
BuildRequires:	perl-devel
Obsoletes:	perl-XML-LibXML-XPathContext
Obsoletes:	perl-XML-LibXML-Common
Requires(post):	perl-XML-SAX >= 0.11
Requires(preun):perl-XML-SAX >= 0.11

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" SKIP_SAX_INSTALL=1
%make

%check
make test

%install
%makeinstall_std

%preun -p %{__perl}
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{__perl}
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes README example/*
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*


%changelog
* Fri May 25 2012 Crispin Boylan <crisb@mandriva.org> 1.980.0-1
+ Revision: 800699
- New release

* Fri Mar 09 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.900.0-2
+ Revision: 783591
- rebuild for new dependency generator
- cosmetics

* Fri Feb 03 2012 Crispin Boylan <crisb@mandriva.org> 1.900.0-1
+ Revision: 770859
- New release

* Sun Jan 22 2012 Oden Eriksson <oeriksson@mandriva.com> 1.890.0-4
+ Revision: 765845
- rebuilt for perl-5.14.2

* Sat Jan 21 2012 Oden Eriksson <oeriksson@mandriva.com> 1.890.0-3
+ Revision: 764345
- rebuilt for perl-5.14.x
- cleanup temporary deps, this was added in perl-devel instead

* Fri Jan 20 2012 Oden Eriksson <oeriksson@mandriva.com> 1.890.0-2
+ Revision: 762983
- force it
- rebuilt for new perl

* Tue Jan 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.890.0-1
+ Revision: 759482
- version update 1.89

* Tue Jul 05 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.770.0-1
+ Revision: 688834
- update to new version 1.77

* Sun Jun 26 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.750.0-1
+ Revision: 687357
- update to new version 1.75

* Fri Jun 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.740.0-1
+ Revision: 687007
- update to new version 1.74

* Thu Jun 16 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.710.0-1
+ Revision: 685637
- update to new version 1.71

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.700.0-8
+ Revision: 667433
- mass rebuild

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.700.0-7mdv2011.0
+ Revision: 564594
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.700.0-6mdv2011.0
+ Revision: 555329
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Sun May 09 2010 Funda Wang <fwang@mandriva.org> 1.700.0-4mdv2010.1
+ Revision: 544142
- bump rel to push again
- BR LibXML-Common is not needed
- obosletes LibXML-Common

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-1mdv2010.1
+ Revision: 461766
- update to 1.70

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.690.0-1mdv2010.0
+ Revision: 401497
- rebuild using %%perl_convert_version
- fixed license field

* Tue May 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-3mdv2010.0
+ Revision: 377765
- fix format errors instead of desactivating them

* Tue May 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-2mdv2010.0
+ Revision: 377732
- drop nowarning patch
- disable format error check

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-1mdv2009.1
+ Revision: 302687
- update to new version 1.69

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.68-1mdv2009.1
+ Revision: 300654
- update to new version 1.68

* Wed Nov 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.67-1mdv2009.1
+ Revision: 300014
- update to new version 1.67

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.66-2mdv2009.0
+ Revision: 224628
- rebuild

* Thu Jan 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.66-1mdv2008.1
+ Revision: 160740
- update to new version 1.66

* Thu Jan 17 2008 Pixel <pixel@mandriva.com> 1.65-3mdv2008.1
+ Revision: 154119
- XML::LibXML::Reader: get rid of "v-string in use/require non-portable" warning

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.65-2mdv2008.1
+ Revision: 151316
- rebuild for perl-5.10.0

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.65-1mdv2008.1
+ Revision: 97577
- update to new version 1.65

* Wed Sep 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.64-1mdv2008.0
+ Revision: 84684
- update to new version 1.64
- add an obsoletes on perl-XML-LibXML-XPathContext (thanks titi)

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.63-1mdv2008.0
+ Revision: 20684
- 1.63

